Bug 504275 - rt2860 fails to associate with Fritz!Box 7170 in mixed mode (WPA+WPA2)
rt2860 fails to associate with Fritz!Box 7170 in mixed mode (WPA+WPA2)
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-05 07:30 EDT by Sebastian Krämer
Modified: 2009-07-25 06:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-25 05:59:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
NetworkManager output (6.34 KB, text/plain)
2009-06-07 08:19 EDT, Sebastian Krämer
no flags Details
NetworkManager output, working (13.14 KB, text/plain)
2009-07-25 06:00 EDT, Sebastian Krämer
no flags Details

  None (edit)
Description Sebastian Krämer 2009-06-05 07:30:22 EDT
Description of problem:

I had big trouble connecting to the mentioned wlan router. After some googling I found that the trouble comes from the negotiation part in mixed mode. When setting the router to WPA2/AES only, I could connect successfully. The problem is reported on the net for other linux distributions (found some ubuntu forums posts..) so this is not fedora specific.

Version-Release number of selected component (if applicable):
It applies to NetworkManager-0.7.1 and the kernel module kmod-rt2860- (which is the latest upstream version, it appears).

I wasn't sure if this bug is correctly assigned to NetworkManager since the problem lies with kernel module (probably) but I couldn't find a better category, the module isn't party of the kernel (yet. I think there is an ongoing transition to include it upstream).
Comment 1 Niels Haase 2009-06-07 07:30:59 EDT
Thanks for filling this bug.

Can you please provide your /var/log/messages while the problem occurs and also the kernel version you are using (uname -r)? Thank you.

Fedora Bugzappers volunteer triage team
Comment 2 Sebastian Krämer 2009-06-07 08:19:03 EDT
Created attachment 346781 [details]
NetworkManager output

This is output of a failed connection attempt from /var/log/messages. It shows that the connection times out.
Comment 3 Sebastian Krämer 2009-06-07 08:25:57 EDT
.. and my kernel version is
Comment 4 Sebastian Krämer 2009-07-25 05:59:03 EDT
It appears the problem solved itself when I upgraded to f11, it's working now with
NetworkManager 0.7.1 (release 8.git20090708.fc11) and rt2860 (release 2.fc11).
Comment 5 Sebastian Krämer 2009-07-25 06:00:07 EDT
Created attachment 355133 [details]
NetworkManager output, working

Not sure if it's necessary, just posting this for sake of completeness.

Note You need to log in before you can comment on or make changes to this bug.